Katello - Bug #7159

Some foreman options are removed after katello-installer runs
08/19/2014 04:04 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Installer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1131668 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/111
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1131668
Description of problem:

When trying to setup libvirt virsh providers, the foreman supported options are removed from settings.yaml when katello-installer is
run.

For example the following get wiped out:

:dns_provider: virsh
:dhcp_vendor: virsh

Expect these options not to get removed after running katello-installer

Associated revisions

Revision 81afe664 - 08/26/2014 06:13 PM - Eric Helms

Fixes #7159: Add missing foreman_proxy options.

Revision 81afe664 - 08/26/2014 06:13 PM - Eric Helms

Fixes #7159: Add missing foreman_proxy options.
Revision a99daade - 08/27/2014 09:18 AM - Eric Helms
Merge pull request #18 from ehelms/fixes-7159

Fixes #7159: Add missing foreman_proxy options.
Revision a99daade - 08/27/2014 09:18 AM - Eric Helms
Merge pull request #18 from ehelms/fixes-7159

Fixes #7159: Add missing foreman_proxy options.

Revision 967c481f - 08/27/2014 09:28 AM - Eric Helms

Fixes #7159: Add missing foreman proxy options to capsule.

Revision 53a0a806 - 08/28/2014 08:29 AM - Eric Helms
Merge pull request #111 from ehelms/fixes-7159

Fixes #7159: Add missing foreman proxy options to capsule.

History

#1 - 08/19/2014 04:06 PM - Eric Helms

- Target version set to 55
https://bugzilla.redhat.com/show_bug.cgi?id=1131668

- translation missing: en.field_release set to 13
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/27/2014 09:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/111 added
- Pull request deleted ()

#3 - 08/28/2014 09:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|967c481f893f5e81d976a22991ca00d9cdfa712b.
